For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tests
      • GETGet test
      • POSTCreate test
      • PUTUpdate test
      • DELDelete test
      • POSTGet test summaries
      • POSTRun tests on agent
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTests

List tests

GET
/v1/convai/agent-testing
GET
/v1/convai/agent-testing
$curl https://api.elevenlabs.io/v1/convai/agent-testing
1{
2 "tests": [
3 {
4 "id": "string",
5 "name": "string",
6 "created_at_unix_secs": 1,
7 "last_updated_at_unix_secs": 1,
8 "type": "llm",
9 "access_info": {
10 "is_creator": true,
11 "creator_name": "John Doe",
12 "creator_email": "john.doe@example.com",
13 "role": "admin",
14 "access_source": "creator"
15 },
16 "entity_type": "test",
17 "folder_parent_id": "string",
18 "folder_path": [
19 {
20 "id": "string",
21 "name": ""
22 }
23 ],
24 "children_count": 1,
25 "conversation_initiation_source": "unknown"
26 }
27 ],
28 "has_more": true,
29 "next_cursor": "string"
30}
Lists all agent response tests with pagination support and optional search filtering.
Was this page helpful?
Previous

Get test

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.
page_sizeintegerOptional1-100Defaults to 30
How many Tests to return at maximum. Can not exceed 100, defaults to 30.
searchstring or nullOptional
Search query to filter tests by name.
parent_folder_idstring or nullOptional
Filter by parent folder ID. Use 'root' to get items in the root folder.
typeslist of enums or nullOptional

If present, the endpoint will return only tests/folders of the given types.

Allowed values:
include_foldersboolean or nullOptionalDeprecated

Deprecated. Use the types query param and include folder instead.

sort_modeenumOptionalDefaults to default

Sort mode for listing tests. Use ‘folders_first’ to place folders before tests.

Allowed values:
sharing_modeenumOptional

Filter test visibility. Use shared_with_me to return only tests/folders shared with the current user that they did not create.

Allowed values:

Response

Successful Response
testslist of objects
has_moreboolean
next_cursorstring or null

Errors

422
Unprocessable Entity Error